/*
Theme Name: Data Science Specialist Pro
Theme URI: https://www.cretathemes.com/products/machine-learning-wordpress-theme
Description: Child Theme
Author: Hammer Development Limited
Author URI: https://hammertech.com.hk
Template: data-science-specialist-pro
Version: 1.0.0
*/
/* Add your custom styles here */

/* Smooth scroll with fixed header offset */
html {
  scroll-behavior: smooth;
  scroll-padding-top: 100px;
}

.spinner-loading-box {
  background-color: #fff !important;
}
.spinner-loading-box .loader,
.spinner-loading-box .loader img {
  width: 100px !important;
  height: 100px !important;
}

.wp-block-page-list > .wp-block-navigation-item.current-menu-item a,
.wp-block-navigation__container > .wp-block-navigation-item.current-menu-item a,
.wp-block-navigation__container > .wp-block-navigation-item a.current-menu-item {
  color: #01a982 !important;
}

.wp-block-navigation__responsive-container-open {
  color: #162f67 !important;
}

.stk-button {
  margin-top: 0 !important;
}

.why-icon {
  margin-bottom: -50px !important;
  z-index: 2;
}

.wp-block-image:before {
  content: none !important;
}

#new-slider-section {
  max-height: none !important;
  height: auto !important;
}
.new-slider-section h2,
.new-slider-section p {
  line-height: 160% !important;
}

header {
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: #fff;
  z-index: 999;
  height: 88px;
}

main {
  margin-top: 88px !important; /* Adjust this value based on the height of your header */
}

.contact-wrapper {
  overflow: hidden;
  box-shadow:
    0 1px 1px hsl(0deg 0% 0% / 0.075),
    0 2px 2px hsl(0deg 0% 0% / 0.075),
    0 4px 4px hsl(0deg 0% 0% / 0.075),
    0 8px 8px hsl(0deg 0% 0% / 0.075),
    0 16px 16px hsl(0deg 0% 0% / 0.075);
}

textarea {
  font-family: inherit;
}

.computer-service-section,
.unlock-section {
  background-size: 100% !important;
  background-repeat: no-repeat;
}

.unlock-section .unlock-image img {
  object-fit: contain !important;
}

.social-icon-wrapper svg {
  font-size: inherit !important;
}

.under-wrapper-title {
  width: 100% !important;
}

.grecaptcha-badge {
  bottom: 100px !important;
}

#banner-product1,
#banner-product1 img {
  max-width: 100% !important;
}

@media screen and (max-width: 768px) {
  .new-slider-section {
    background-image: url(./assets/images/banner-bg-mobile.jpg) !important;
    background-position: bottom center;
  }

  .contact-outer-wrapper {
    padding: 0px !important;
  }

  .contact-wrapper {
    margin: 0 !important;
    box-shadow: none;
    border-radius: unset !important;
  }

  .social-icon-wrapper {
    justify-content: center;
  }

  .footer-text p {
    text-align: center;
  }

  .contact-section {
    padding-top: 0 !important;
  }

  .slider-left-col {
    padding-top: 2rem !important;
  }

  .slider-right-col img {
    max-width: 100% !important;
  }

  .unlock-section {
    background: none !important;
  }
}
